%define husky_version 1.9.0
%define smapi_version 2.5.0
%define husky_cvsdate 20040614
%define hptzip_version 0.1.0
%define ver %hptzip_version
%define rel alt1.%husky_cvsdate

#%set_verify_elf_method relaxed
Name: libhptzip
Summary: Built-in zip support library for husky project
Version: %ver
Release: %rel
License: GPL
Group: Communications
Requires: ftn
Packager: FTN Development Team <ftn@packages.altlinux.org>

Source0: hptzip.tar.bz2
Patch0: libhptzip-makefile.diff
Patch1: libhptzip-makefile.inc.diff
Patch2: libhptzip-makefile.prg.diff

BuildPreReq: huskybse = %husky_version-%release
BuildPreReq: libhusky-devel = %husky_version-%release
BuildPreReq: zlib-devel

%description
Built-in zip support library for husky project.

%description -l ru_RU.KOI8-R
   zip   Husky.

%package devel
Group: Development/C
Summary: Husky project built-in zip support library header files
Requires: %name

%description devel
Husky project built-in zip support library header files

%description -l ru_RU.KOI8-R
 ,    ,
    zip   Husky.

%package devel-static
Group: Development/C
Summary: Husky project built-in zip support static library

%description devel-static
Husky project built-in zip support static library.

%description -l ru_RU.KOI8-R devel-static
,     ,
    zip   Husky.

%prep
%setup -q -n hptzip
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
cd make
%make

%install
%__mkdir_p %buildroot%_libdir
cd make
%make PREFIX=%buildroot%prefix install
%__install -m 0644 ../build/lnx/lib/%name.a %buildroot%_libdir

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%attr(755,root,root) %_libdir/*.so.*

%files devel
%dir %attr(755,root,root) %_includedir/hptzip/
%attr(644,root,root) %_includedir/hptzip/*.h
%attr(755,root,root) %_libdir/*.so

%files devel-static
%attr(644,root,root) %_libdir/*.a

%changelog
* Mon Jun 28 2004 Ivan Fedorov <ns@altlinux.ru> 0.1.0-alt1.20040614
- Fixing "Release" tag

* Mon Jun 14 2004 Ivan Fedorov <ns@altlinux.ru> 0.1.0-alt0.20040614
- Updated from cvs
- fixing CFGDIR in huskymak.cfg

* Sat Jun 12 2004 Ivan Fedorov <ns@altlinux.ru> 0.1.0-alt0.20040612
- Updated from cvs

* Mon Jun 07 2004 Ivan Fedorov <ns@altlinux.ru> 0.1.0-alt0.20040607
- Specfile rewritten from scratch
